Read the configuration of this installation
Read the configuration of this installation. Runtime credentials are installation-scoped and cannot authenticate against the tenant API.
Full-key operation
Read the configuration of this installation. Runtime credentials are installation-scoped and cannot authenticate against the tenant API.
Header Parameters
Dedicated installation credential, issued once in Console.
^aac_install_[a-f0-9]{64}$HTTPS origin pinned to this installation; clones require another installation.
uriResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/cms/runtime" \ -H "X-AACSEARCH-INSTALLATION-KEY: string" \ -H "X-AACSEARCH-INSTALLATION-ORIGIN: http://example.com"{ "installation": { "id": "string", "name": "string", "provider": "string", "environment": "string", "origin": "string", "desired_revision": 0, "applied_revision": 0, "config": { "protocol_version": 1, "stores": [ { "local_id": "string", "locale": "string", "currency": "string", "native_search": true, "native_filters": true, "native_recommendations": true, "widgets_enabled": true, "sources": [ { "local_id": "string", "connector_id": "string", "collection": "string", "search_preset": "string", "recommendation_model": "string" } ] } ] }, "discovery": { "module_version": "string", "cms_version": "string", "capabilities": [ "native_search" ], "stores": [ { "source_schemas": { "property1": { "name": "companies", "fields": [ { "name": "num_employees", "type": "int32", "facet": false }, { "name": "company_name", "type": "string", "facet": false }, { "name": "country", "type": "string", "facet": true } ], "default_sorting_field": "num_employees", "token_separators": [], "curation_sets": [ "curation_set_1" ], "synonym_sets": [ "synonym_set_1" ], "enable_nested_fields": true, "symbols_to_index": [], "voice_query_model": { "model_name": "ts/whisper/base.en" }, "metadata": {} }, "property2": { "name": "companies", "fields": [ { "name": "num_employees", "type": "int32", "facet": false }, { "name": "company_name", "type": "string", "facet": false }, { "name": "country", "type": "string", "facet": true } ], "default_sorting_field": "num_employees", "token_separators": [], "curation_sets": [ "curation_set_1" ], "synonym_sets": [ "synonym_set_1" ], "enable_nested_fields": true, "symbols_to_index": [], "voice_query_model": { "model_name": "ts/whisper/base.en" }, "metadata": {} } }, "locale": "string", "currency": "string", "local_id": "string", "name": "string", "source_ids": [ "string" ] } ] }, "sync_health": { "pending": 0, "failed": 0, "processing": 0, "done_1h": 0, "throughput_per_min": 0, "eta_seconds": 0, "catalog_size": "empty", "auto_profile": "string", "batch_size": 1, "workers": 1, "reindex_active": true, "last_error": "string", "reported_at": 0 }, "last_error": "string", "last_seen_at": 0, "revoked_at": 0, "created_at": 0, "updated_at": 0 }, "protocol_version": 1}Revoke an installation key without deleting its audit state DELETE
Revoke an installation key without deleting its audit state. Runtime credentials are installation-scoped and cannot authenticate against the tenant API.
Read subscription and quota state for this installation GET
Read subscription and quota state for this installation. Runtime credentials are installation-scoped and cannot authenticate against the tenant API.